Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.deploy.api.spi
Interface WebLogicDConfigBeanRoot

All Superinterfaces:
  DConfigBean, DConfigBeanRoot, WebLogicDConfigBean

public interface WebLogicDConfigBeanRoot
extends DConfigBeanRoot, WebLogicDConfigBean

This interface provides WebLogic Server extensions to `DConfigBeanRoot`. WebLogicDConfigBeanRoot is the DConfigBean associated with a module's DDBeanRoot.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static int` | `CHANGABLE` Specifies a property that is a dependency, declaration or configurable
`static int` | `CONFIGURABLE` Specifies a property that is configurable, but doesn't resolve resources
`static int` | `DECLARATION` Specifies a property that identifies an resource declaration
`static int` | `DEPENDENCY` Specifies a property that identifies an resource dependency
`static int` | `DYNAMIC` Specifies a property that may safely be moodified at runtime

Method Summary
`void` | `export(weblogic.descriptor.DescriptorBean bean, String[] props)` Create new plan using variables for properties in descriptor beans.
`void` | `export(int type)` Create new plan using variables for properties in this descriptor.
`String` | `getUri()` Location of configuration descriptor relative to root of the associated module.

Methods inherited from interface javax.enterprise.deploy.spi.DConfigBeanRoot
`getDConfigBean`

Methods inherited from interface javax.enterprise.deploy.spi.DConfigBean
`addPropertyChangeListener, getDConfigBean, getDDBean, getXpaths, notifyDDChange, removeDConfigBean, removePropertyChangeListener`

Methods inherited from interface weblogic.deploy.api.spi.WebLogicDConfigBean
`getDescriptorBean, isModified, notifyDDChange`

Field Detail

### CHANGABLE

    public static final int CHANGABLE

  Specifies a property that is a dependency, declaration or configurable

  See Also:
    Constant Field Values

### CONFIGURABLE

    public static final int CONFIGURABLE

  Specifies a property that is configurable, but doesn't resolve resources

  See Also:
    Constant Field Values

### DECLARATION

    public static final int DECLARATION

  Specifies a property that identifies an resource declaration

  See Also:
    Constant Field Values

### DEPENDENCY

    public static final int DEPENDENCY

  Specifies a property that identifies an resource dependency

  See Also:
    Constant Field Values

### DYNAMIC

    public static final int DYNAMIC

  Specifies a property that may safely be moodified at runtime

  See Also:
    Constant Field Values

Method Detail

### export

    public void export(weblogic.descriptor.DescriptorBean bean,
                       String[] props)
                throws IllegalArgumentException

  Create new plan using variables for properties in descriptor beans. Exporting a plan involves ensuring that a subset of descriptor properties have variable assignments (value overrides) and that the override value is unspecified. Export does not save the new plan.

  Parameters:
    `bean` - specifies the element containing properties to export
    `props` - is list of property names in the bean to export
  Throws:
    `IllegalArgumentException`

### export

    public void export(int type)
                throws IllegalArgumentException

  Create new plan using variables for properties in this descriptor. Exporting a plan involves ensuring that a subset of descriptor properties have variable assignments (value overrides) and that the override value is unspecified. Export does not save the new plan.

  Parameters:
    `type` - is one of `DEPENDENCY`, `DECLARATION`, `CONFIGURABLE`, `CHANGABLE` or `DYNAMIC`
  Throws:
    `IllegalArgumentException`

### getUri

    public String getUri()

  Location of configuration descriptor relative to root of the associated module.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD